"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x111dd7ce0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x111dd7e20>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x111dd7d80>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x111dd7ec0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x111dd7f60>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x115528040>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1155280e0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x115528180>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x115528220>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1155282c0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x115528360>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x115528400>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x1155284a0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x115528540>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x1155285e0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x115528680>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x115528720>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x1155287c0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x115528860>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x115528900>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x1155289a0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x115528a40>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x115528ae0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x115528b80>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x115528c20>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x115528cc0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x115528d60>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x115528e00>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x115528ea0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x115528f40>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x115528fe0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x115529080>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x115529120>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x1155291c0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x115529260>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x115529300>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x1155293a0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x115529440>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1155294e0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x115529580>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x115529620>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1155296c0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x115529760>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x115529800>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1155298a0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x115529940>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x1155299e0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x115529a80>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x115529b20>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x115529bc0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x115529c60>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x115529d00>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x115529da0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x115529e40>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x115529ee0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x115529f80>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x11552a020>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x11552a0c0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x11552a160>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x11552a200>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x11552a2a0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x11552a340>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x11552a3e0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x11552a480>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x11552a520>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x11552a5c0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x11552a660>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x11552a700>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x11552a7a0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x11552a840>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x11552a8e0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x11552a980>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x11552aa20>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x11552aac0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x11552ab60>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x11552ac00>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x11552aca0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x11552ad40>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x11552ade0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x11552ae80>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x11552afc0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x11552af20>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x11552b060>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x11552b100>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x11552b1a0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x11552b240>)]
name: str = 'fr_HOCCN'
